summaryrefslogtreecommitdiffstats
path: root/deployments/build.sh
diff options
context:
space:
mode:
authorShashank Kumar Shankar <shashank.kumar.shankar@intel.com>2018-08-20 15:50:50 -0700
committerVictor Morales <victor.morales@intel.com>2018-08-24 15:51:16 -0700
commita1373742a2c3f980360e4980f3b23b0ff3480ae6 (patch)
treece2fb583dea15b8a546d794d21786fdf0f666539 /deployments/build.sh
parent6ff216219ccb4567baeb34c9dba73daabb60f629 (diff)
Seed code for k8s multicloud plugin
This patch provides the initial seed code for the multicloud Kubernetes plugin and also provides the plugin feature to add new Kubernetes kinds. Change-Id: Ie5ee414656665070cde2834c4855ac2ebc179a9a Issue-ID: MULTICLOUD-301 Signed-off-by: Shashank Kumar Shankar <shashank.kumar.shankar@intel.com> Signed-off-by: Victor Morales <victor.morales@intel.com>
Diffstat (limited to 'deployments/build.sh')
-rwxr-xr-xdeployments/build.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/deployments/build.sh b/deployments/build.sh
new file mode 100755
index 00000000..667be5f5
--- /dev/null
+++ b/deployments/build.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright (c) 2018 Intel Corporation
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+set -o nounset
+set -o pipefail
+set -o xtrace
+
+function generate_binary {
+ GOPATH=$(go env GOPATH)
+ rm -f k8plugin
+ rm -f *.so
+ $GOPATH/bin/dep ensure -v
+ for plugin in deployment namespace service; do
+ CGO_ENABLED=1 GOOS=linux GOARCH=amd64 go build -buildmode=plugin -a -tags netgo -o ./$plugin.so ../src/k8splugin/plugins/$plugin/plugin.go
+ done
+ CGO_ENABLED=1 GOOS=linux GOARCH=amd64 go build -a -tags netgo -o ./k8plugin ../src/k8splugin/cmd/main.go
+}
+
+function build_image {
+ echo "Start build docker image."
+ docker-compose build --no-cache
+}
+
+generate_binary
+build_image